<form [formGroup]="form" (submit)="apply()">
  <mat-form-field>
    <mat-label *ngIf="label">{{ label }}</mat-label>
    <mat-date-range-input
      [min]="min"
      [max]="max"
      (click)="picker.open()"
      [rangePicker]="picker">
      <input
        formControlName="min"
        matStartDate
        placeholder="Початок"
        readonly />
      <input formControlName="max" matEndDate placeholder="Кінець" readonly />
    </mat-date-range-input>
    <mat-icon *ngIf="formIsValid" (click)="resetForm()" matIconSuffix
      >close</mat-icon
    >
    <mat-datepicker-toggle matIconPrefix [for]="picker"></mat-datepicker-toggle>
    <mat-date-range-picker #picker></mat-date-range-picker>
  </mat-form-field>

  <button type="submit" color="primary" mat-raised-button>Застосувати</button>
</form>
